#!/bin/sh

set -eux

if [ ! -d build ]
then
	echo "[!] build step not completed!" > /dev/stderr
	exit 1
fi

cd build

for testbin in test_*
do
	if [ ! -x ${testbin} ]
	then
		echo "[-] skipping ${testbin} because it isn't executable"
		continue
	fi

	valgrind -q ./${testbin} -n -q
done
