#!/usr/bin/env bash

set -eu

######################################################################
# @author      : kyle (kyle@imap.cc)
# @file        : build-all-containers.sh
# @created     : Wednesday Oct 18, 2023 18:09:07 PDT
#
# @description : build the containers in this project and push them.
######################################################################

# most important is the main build
./build-container.sh Containerfile sc/dev:main

for container_file in Containerfile.*
do
	flavor="${container_file#Containerfile.}"
	./build-container.sh Containerfile.${flavor} sc/dev:${flavor}
done

